function getTestData() {
    // 测试数据，正式部署时需要注释掉
    var article = {
        fileID: 83162,
        title: "昔日臭水湖如何变身城市景观区？ 听听这位市民园长怎么说",
        subTitle: "",
        leadTitle: "",
        isExclusive: 0,
        version: 1555466109,
        source: "工人日报",
        editor: "肖婕妤",
        modifyTime: "2019-04-17 09:55:09",
        author: "于灵歌",
        liability: "",
        abstract: "",
        publishTime: "2019-04-17 09:55:09",
        articleType: 2,
        keywords: "",
        countRatio: 1,
        countClick: 7,
        countDiscuss: 0,
        countPraise: 0,
        countShare: 0,
        countShareClick: 0,
        pic3: "",
        pic2: "",
        pic1: "http://web.app.workercn.cn/data/1/images/2019/0417/15554660994361123_600x338.png",
        bigPic: 0,
        tag: "",
        content: '<div class="app-video-container"><video controls class="app-video" src="http://web.app.workercn.cn/data/1/videos/2019/0417/15554660239001121.mp4" poster="http://web.app.workercn.cn/data/1/images/2019/0417/15554660239591122_640x368.jpg" webkit-playsinline playsinline x5-playsinline x-webkit-airplay="allow" /></div><div class="app-video-description">陈磐是厦门的一名退休教师。几年前，他通过竞选当上了厦门筼筜湖畔南湖公园的&#8220;市民园长&#8221;。在他的记忆里，人们路过筼筜湖都要捂着鼻子，开车路过必须要关上窗户。如今，经过30多年的整治，筼筜湖畔白鹭翱翔、繁花似锦。越来越多的市民与游客喜欢来到这个&#8220;城市绿肺&#8221;和&#8220;城市会客厅&#8221;休闲锻炼。戳视频，一起去感受筼筜湖的碧波荡漾！</div>',
        extField: "",
        columnID: 5,
        discussClosed: 0,
        countClickInit: 0,
        fullColumn: "视频",
        articleUrl: "http://web.app.workercn.cn/data/1/videos/2019/0417/15554660239001121.mp4",
        specialId: 0,
        linkID: 0,
        videos: [
        {
            videoUrl: "http://web.app.workercn.cn/data/1/videos/2019/0417/15554660239001121.mp4",
            description: "陈磐是厦门的一名退休教师。几年前，他通过竞选当上了厦门筼筜湖畔南湖公园的“市民园长”。在他的记忆里，人们路过筼筜湖都要捂着鼻子，开车路过必须要关上窗户。如今，经过30多年的整治，筼筜湖畔白鹭翱翔、繁花似锦。越来越多的市民与游客喜欢来到这个“城市绿肺”和“城市会客厅”休闲锻炼。戳视频，一起去感受筼筜湖的碧波荡漾！",
            picPath: "http://web.app.workercn.cn/data/1/images/2019/0417/15554660239591122_640x368.jpg"
        }
    ],
        relArticle: [ ],
        articleExt: [
            {
                label: "祈福点赞",
                code: "bless",
                value: false
            }
        ]
};
    if (article.content) {
        if (article.images != null && article.images.length > 0) {
            for (var i = 0; i < article.images.length; i++) {
                var imageBean = article.images[i];
                var imgHtml = '<img class="app-image" src="' + imageBean.imgUrl + '">';
                article.content = article.content.replace((imageBean.placeholder), imgHtml);
            }
        }
    }
    return article;
}


/*格式化${startTime}距现在的已过时间
 * time字符串
 * */
function time2ms(timeStr) {
    return timeStr.substr(0, 10);
    var nowTime = new Date();
    var srcTime = new Date(timeStr.replace(/-/g, '/'));
    var pastTime = nowTime.getTime() - Date.parse(timeStr.replace(/-/g, "/"));
    if (pastTime > 1 * 24 * 60 * 60 * 1000) {
        return timeStr.substr(0, 10);
    }
    else {
        var hour = parseInt(pastTime / (1000 * 60 * 60));
        var min = parseInt(pastTime / (1000 * 60));
        if (hour) return hour + "小时前";
        if (min) return min + "分钟前";
        else return '刚刚';
    }
};
// 图片点击事件
function didTappedImage(index, url) {
    /*var image = document.getElementById(url);
     var width = image.width;
     var height = image.height;
     var x = image.getBoundingClientRect().left;
     var y = image.getBoundingClientRect().top;
     x = x + document.documentElement.scrollLeft;
     y = y + document.documentElement.scrollTop;

     var json = {'index' : index, 'x' : x, 'y' : y, 'width' : width, 'height' : height, 'url' : url};
     var jsonString = JSON.stringify(json);
     tts_text.didTappedImage(jsonString);*/

    location.href = "image:///index=" + index;
}

/**
 订阅按钮
 */
function clickSubscribe(a) {
    //     alert(a.innerText);
    location.href = "clickSubscribe:///=" + a.innerHTML;
    if (a.innerText == '订阅') {
        // subscribeSuccess();
        window.tts_text.subscribeColumns(a.innerText);
    } else if (a.innerText == '已订阅') {
        // cancleSubscribe();
        window.tts_text.subscribeColumns(a.innerText);
    }

}
/**
 点击栏目
 */
function clickSubscribeColumn() {
    location.href = "clickSubscribeColumn:///";
    window.tts_text.selectorColumnStyle();
}

//订阅成功改变状态
function subscribeSuccess() {
    document.getElementById('subscribeId').innerText = '已订阅';
    document.getElementById('subscribeId').style.color = 'gray';
}
//取消订阅
function cancleSubscribe() {
    document.getElementById('subscribeId').innerText = '订阅';
    document.getElementById('subscribeId').style.color = 'black';
}

// 设置字体
function setFontName(name) {
    var content = document.getElementById('content');
    content.style.fontFamily = name;
}

// 设置字体大小
function zoomFont(size) {
    if (size == "sm") {
        document.getElementById("content").style.fontSize = "0.9rem";
        //document.getElementById("title").style.fontSize = "1.35rem";
    }
    else if (size == "md") {
        document.getElementById("content").style.fontSize = "1.1rem";
        //document.getElementById("title").style.fontSize = "1.55rem";
    }
    else if (size == "lg") {
        document.getElementById("content").style.fontSize = "1.3rem";
        //document.getElementById("title").style.fontSize = "1.65rem";
    }
    else if (size == "hg") {
        document.getElementById("content").style.fontSize = "1.5rem";
        //document.getElementById("title").style.fontSize = "1.8rem";
    }
    else {
        document.getElementById("content").style.fontSize = "1.25rem";
        document.getElementById("title").style.fontSize = "1.55rem";
    }
}

// 获取网页高度
function getHtmlHeight() {
    return document.body.offsetHeight;
}

// 替换正文图片
function replaceContentImage(message) {
    if (message.match("replaceimage")) {
        var index = message.indexOf("~");
        // 截取占位标识
        var messagereplace = message.substring(0, index);
        // 截取到图片路径
        var messagepath = message.substring(index + 1);
        messagereplace = messagereplace.replace(/replaceimage/, "");


        // 保证只替换一次
        var element = document.getElementById(messagereplace);
        if (element.src.match("loading")) {
            element.src = messagepath;
        }
    }
}

function viewVideo(url) {
    location.href = "video:///url=" + url;
}
//如果正文中出现视频，设置视频宽度为屏幕的95%
function setVideoWidth() {
    var elVideoArr = document.getElementsByTagName("video");
    for (var i = 0; i < elVideoArr.length; i++) {
        elVideoArr[i].style.width = "95%";
    }
}

//更新评论点赞数
function updatePraiseCount(countPraise) {
    document.getElementById("praiseCount").innerText = countPraise + " 赞";
}

//更新阅读数
function updateReadCount(countClick) {
    document.getElementById("readCount").innerText = countClick + " 阅读";
}

//暂定语音播放
function pauseVoice() {
    document.getElementById("voiceText").innerText = "语音播报";
}

//语音播报
var voiceStatus = 0;
function startVoice() {
    voiceStatus = !voiceStatus;
    if (voiceStatus == 0) {
        document.getElementById("voiceImg").src = "../images/voicePlay.png";
        window.location.href = "pausevoice://" + articleJSON.fileID;
    } else {
        document.getElementById("voiceImg").src = "../images/voicePlaying.gif";
        window.location.href = "startvoice://" + articleJSON.fileID;
    }
}

//点击稿件阅读
function readArticle(articleID) {
    window.location.href = "openarticle://" + articleID;
}

//文章内容渲染
function artRendering(articleJSON) {
    document.getElementById("title").innerText = articleJSON.title;
    if (articleJSON.subTitle) {
        document.getElementById("subTitle").innerText = articleJSON.subTitle;
        document.getElementById("subTitle").style.display = "block";
    }
    if (articleJSON.leadTitle) {
        document.getElementById("leadTitle").innerText = articleJSON.leadTitle;
        document.getElementById("leadTitle").style.display = "block";
    }
    if (articleJSON.isExclusive == 1) {
        document.getElementById("artImgIcon").src = '../images/yuanchuang.png';
        document.getElementById("copyright-info").innerText = "工人日报客户端原创新闻，未经授权不得转载。";
    } else if (articleJSON.isExclusive == 2) {
        document.getElementById("artImgIcon").src = '../images/dujia.png';
        document.getElementById("copyright-info").innerText = "工人日报客户端独家新闻，未经授权不得转载。";
    } else {
        document.getElementById("copyright-info").innerText = "";
        document.getElementById("artImgIcon").style.display = 'none';
    }
    articleJSON.source = articleJSON.source ? articleJSON.source : "";
    if (articleJSON.author) {
        if (articleJSON.source) articleJSON.source += " ";
        articleJSON.source += articleJSON.author;
    }
    document.getElementById("source").innerText = articleJSON.source;
    if (articleJSON.source.length == 0) {
        document.getElementById("source").style.marginRight = '0px';
    }
    var articleTime = articleJSON.publishTime ? articleJSON.publishTime : "";
    document.getElementById("timeId").innerText = time2ms(articleTime);
    if (articleJSON.countClick)
        document.getElementById("readCount").innerText = "";//articleJSON.countClick + "阅读";
    else
        document.getElementById("readCount").innerText = "";
    if (articleJSON.countPraise)
        document.getElementById("praiseCount").innerText = "";//articleJSON.countPraise + " 赞";
    else
        document.getElementById("praiseCount").innerText = "";
    var authorInfo = "";
    if (articleJSON.editor) {
        authorInfo += "责任编辑：" + articleJSON.editor;
    }
    document.getElementById("editor-info").innerText = authorInfo;
    if(articleJSON.countClick > 0){
        document.getElementById("read-info").innerText = articleJSON.countClick + "人阅读";   
    }
    setTimeout(function(){
        //视频内容处理
/*        var videos = document.querySelectorAll('video');
        for(var i in videos){
            var video = videos[i];
            video.controlsList = "nodownload";
            if(!video.poster && articleJSON.pic1){
                video.poster = articleJSON.pic1;
            }
            video.onplay = function(){
                this.pause();
                var href = "objc:/videoPlay://" + encodeURIComponent(this.src);
                window.location.href = href;
            };
        }*/
        //重新格式化视频，去掉段首缩进
        var videoContainers = document.getElementsByClassName("app-video-container");
        for(var i in videoContainers){
            var videoContainer = videoContainers[i];
            if(videoContainer && videoContainer.children && videoContainer.children.length > 0){
                /*videoContainer.style["textIndent"] = "0";*/
                var videoTag = videoContainer.children[0];
                if(videoTag && videoTag.tagName.toLowerCase() == "video"){
                    var videoImage = "../images/loading.png";//默认图片
                    if(videoTag.poster)
                        videoImage = videoTag.poster;
                    else if(articleJSON.pic1)
                        videoImage = articleJSON.pic1;
                    var imageDiv = document.createElement("img");
                    imageDiv.src = videoImage;
                    imageDiv.className = "video-thumb";
                    imageDiv.videoSrc = videoTag.src;
                    imageDiv.onclick = function(){
                        var href = "videoPlay://" + encodeURIComponent(this.videoSrc);
                        window.location.href = href;
                    }
                    videoContainer.removeChild(videoTag);
                    videoContainer.appendChild(imageDiv);
                    var playImage = document.createElement("img");
                    playImage.src = "../images/play.png";
                    playImage.videoSrc = videoTag.src;
                    playImage.className = "video-thumb-play";
                    playImage.onclick = function(){
                        var href = "videoPlay://" + encodeURIComponent(this.videoSrc);
                        window.location.href = href;
                    }
                    videoContainer.appendChild(playImage);

                }
            }
        }
    }, 50);
}

//获取点赞状态
function zanStatus(articleJSON) {
    if (typeof articleJSON.countPraise != "undefined") {
        var localName = 'zanStatus-' + articleJSON.fileID;
        var praiseClass = "zan";
        if(articleJSON.articleExt){
            for(var i in articleJSON.articleExt){
                var ext = articleJSON.articleExt[i];
                if(ext.code == "bless" && ext.value){
                    praiseClass = "bless";
                    document.getElementById("clickA").style.border = "1px solid #7e7e7e";
                }
            }
        }
        if (localStorage.getItem(localName) == '1') {
            document.getElementById("clickA").innerHTML = '<i class="icon-big-zan bg-' + praiseClass + '"></i> <span id="zan_num">' + articleJSON.countPraise + '</span>';
        } else {
            if (articleJSON.countPraise == '0' || articleJSON.countPraise == 0) {
                document.getElementById("clickA").innerHTML = '<i class="icon-big-zan bg-no-' + praiseClass + '"></i></span>';
            } else {
                document.getElementById("clickA").innerHTML = '<i class="icon-big-zan bg-no-' + praiseClass + '"></i> <span id="zan_num">' + articleJSON.countPraise + '</span>';
            }
        }
    } else {
        document.getElementById("zanId").style.display = 'none';
    }
}

//点赞
function clickZan() {
    var localName = 'zanStatus-' + articleJSON.fileID;
    if (localStorage.getItem(localName) == '1') return;
    var newPraise = parseInt(articleJSON.countPraise) + 1;
    var praiseClass = "zan";
    if(articleJSON.articleExt){
        console.log(articleJSON.articleExt);
        for(var i in articleJSON.articleExt){
            var ext = articleJSON.articleExt[i];
            if(ext.code == "bless" && ext.value){
                praiseClass = "bless";
            }
        }
    }
    document.getElementById("clickA").innerHTML = '<i class="icon-big-zan bg-' + praiseClass + '"></i> <span id="zan_num">' + newPraise + '</span>';
    localStorage.setItem(localName, '1');
    setTimeout(function(){
        var url = Config.baseUrl + 'api/event';
        var param = {
            sid: Config.siteId,
            id: articleJSON.fileID, //稿件id
            type: 0,  //稿件
            eventType: 2  // 0 点击，1评论，2点赞，3分享，4 分享点击
        }
        axios.post(url, param).then(function (res) {
            if (res && res.data) {
            }
        }).catch(function (error) {
            console.log(error);
        });
    }, 100);

}

//阅读
function readArticle(articleJSON) {
    //var localName = 'readStatus-' + articleJSON.fileID;
    var url = Config.baseUrl + 'api/event';
    var param = {
        sid: Config.siteId,
        id: articleJSON.fileID, //稿件id
        type: 0,  //稿件
        eventType: 0  // 0 点击，1评论，2点赞，3分享，4 分享点击
    }
    //if (localStorage.getItem(localName) == '1') return;

    axios.post(url, param).then(function (res) {
        if (res && res.data) {
            //localStorage.setItem(localName, '1');
        }
    }).catch(function (error) {
        console.log(error);
    })
}

//获取热门评论
function getComment(articleJSON, rowNumber, lastCommentID) {
    var commentRows = [];
    var url = Config.baseUrl + 'api/getComments?sid=' + Config.siteId + '&rootID='
        + articleJSON.fileID + '&rowNumber=' + rowNumber + "&lastFileID=" + lastCommentID + "&t=" + new Date().getTime();
    axios.get(url).then(function (res) {
        if (res && res.data) {
            commentRows = res.data.list;
            if (!commentRows) commentRows = [];
            if (commentRows.length > 0 || rowNumber > 0){
                g_lastCommentID = commentRows[commentRows.length-1].commentID;
                document.getElementById("commentBox").style.display = "block";
            }else{
                document.getElementById("commentBox").style.display = "none";
            }
            if(commentRows.length < 20){
                document.getElementById("comment-more").style.display = "none";
            }
            else{
                document.getElementById("comment-more").style.display = "block";
                g_rowNumber += 1;
            }

            var commentTel = "";
            for (var i = 0; i < commentRows.length; i++) {
                var comment = commentRows[i];
                var faceUrl = comment.faceUrl ? comment.faceUrl : './../images/people.png';
                var userName = comment.userName ? comment.userName : '';
                var createTime = comment.createTime ? comment.createTime.substring(0, 11) : '';
                var content = comment.content ? comment.content : '';
                var parentUserName = comment.parentUserName ? comment.parentUserName : '';
                var parentContent = comment.parentContent ? comment.parentContent : '';

                var comment_template = "<div class=\"commentOne\"><div class=\"container\">";
                comment_template += "<div class=\"commentHead\">";
                comment_template += "  <img src=\"{{faceUrl}}\">";
                comment_template += "  <span class=\"commentName\">{{userName}}</span>";
                comment_template += "  <span class=\"commentTime\">{{createTime}}</span>";
                comment_template += "</div>";
                comment_template += "<p class=\"commentCon\">{{content}}</p>";
                if(parentContent){
                    comment_template += "<div class=\"parentCommentDiv\">";
                    comment_template += "<p class=\"parentCommentName\">{{parentUserName}}</p>";
                    comment_template += "<p class=\"parentCommentContent\">{{parentContent}}</p>";
                    comment_template += "</div>";
                }
                comment_template += "</div>";
                comment_template += "</div>";
                commentTel += comment_template.replace("{{faceUrl}}", faceUrl).replace("{{userName}}", userName)
                    .replace("{{createTime}}", createTime).replace("{{content}}", content).replace("{{parentUserName}}", parentUserName)
                    .replace("{{parentContent}}", parentContent);
            }
            var commentHtml = document.getElementById("comment-list").innerHTML;
            commentHtml += commentTel;
            document.getElementById("comment-list").innerHTML = commentHtml;
        }
    }).catch(function (error) {
        console.log(error);
    })
}

function viewMoreComment(){
    getComment(articleJSON, g_rowNumber, g_lastCommentID);
}
//推荐阅读
function sugRestReading(articleJSON) {
    if (!articleJSON.relArticle) articleJSON.relArticle = [];
    var related_news_template = "<div class=\"related-news-list\"><div class=\"container\"><a onclick=\"readArticle({{fileID}})\" :href=\"http://www.baidu.com?aid={{fileID}}\">";
    related_news_template += "{{img}}";
    related_news_template += "<div class=\"related-news-list-title\">{{title}}</div>";
    related_news_template += "{{icon}}";
    related_news_template += "<div class=\"related-news-list-source\">{{source}}</div>";
    related_news_template += "<div class=\"related-news-list-time\">{{publishTime}}</div></div></a></div></div>";
    var articleTemplate = "";
    for (var i = 0; i < articleJSON.relArticle.length; i++) {
        if (i >= 5) break;
        var article = articleJSON.relArticle[i];
        var articlePic1 = article.pic1 ? "<img class='related-news-list-img' src='" + article.pic1 + "'><div class=\"related-news-list-one w60\" > " : "<div class =\"related-news-list-one\">";
        var articleIsExclusive = '';
        if (article.isExclusive == 1) {
            articleIsExclusive = "<img class='imgIcon' src='../images/yuanchuang.png'>";
        } else if (article.isExclusive == 2) {
            articleIsExclusive = "<img class='imgIcon' src='../images/dujia.png'>";
        }
        var articleTime = article.publishTime ? article.publishTime : "";
        var articleSource = article.source ? article.source : '';
        var publishTime = time2ms(articleTime);
        var title = article.title ? article.title : '';
        articleTemplate += related_news_template.replace("{{icon}}", articleIsExclusive).replace("{{img}}", articlePic1).replace("{{fileID}}", article.fileID).replace("{{publishTime}}", publishTime).replace("{{title}}", title).replace("{{source}}", articleSource);
    }

    document.getElementById("related-news-list").innerHTML = articleTemplate;
    if (articleJSON.relArticle.length > 0)
        document.getElementById("related-news").style.display = "block";
    else
        document.getElementById("related-news").style.display = "hidden";
}

//栏目订阅状态
function columnSubscribe(articleJSON) {
    var columnStyle = articleJSON.columnStyle;
    if (columnStyle == "2") {
        document.getElementsByClassName('subscribeClass')[0].style.display = '';
        document.getElementById("source").style.color = 'blue';
        document.getElementById("source").onclick = function () {
            location.href = "clickSubscribeColumn:///";
            clickSubscribeColumn();
        }
        var isSubcribeArticle = articleJSON.isSubcribeArticle;
        if (isSubcribeArticle == '1') {
            document.getElementById('subscribeId').innerText = "已订阅";
            document.getElementById('subscribeId').style.color = 'gray';
        }
        var subscribeColumn = "";
        if (articleJSON.columnName)
            subscribeColumn = articleJSON.columnName;
        else if (articleJSON.fullColumn)
            subscribeColumn = articleJSON.fullColumn;
        else if (articleJSON.source)
            subscribeColumn = articleJSON.source;
        document.getElementById("source").innerText = subscribeColumn;
        document.getElementById("subscribeColumn").innerText = subscribeColumn;
        document.getElementById("copyright-div").style.display = "block";
    }
}