/*格式化${startTime}距现在的已过时间*/
function time2ms(timeStr) {
    return timeStr.substr(0, 10);
    var nowTime = new Date();
    var srcTime = new Date(timeStr.replace(/-/g, '/'));
    var pastTime = nowTime.getTime() - Date.parse(timeStr.replace(/-/g, "/"));
    if (pastTime > 1 * 24 * 60 * 60 * 1000) {
        return timeStr.substr(0, 10);
    }
    else {
        var hour = parseInt(pastTime / (1000 * 60 * 60));
        var min = parseInt(pastTime / (1000 * 60));
        if (hour) return hour + "小时前";
        if (min) return min + "分钟前";
        else return '刚刚';
    }
};
//获取url参数
function getUrlParam(name, href) {
    if (!href)
        href = window.location.href;
    var reg = new RegExp('(\\?|&)' + name + '=([^&]*)(&|$)', 'i');
    var r = href.match(reg);
    if (r != null) {
        return unescape(r[2]);
    }
    return null;
}
//获取页面元素对象
function $(id){ return document.getElementById(id);}
//页面点击关注，通知APP登录
function clickSubscribe(a) {
    if(!g_userID || !g_userIDSign){
        //alert("app需捕捉url并跳转至登录页:userLogin://");
        window.location.href = "userLogin://";
        return;
    }
    if(a.innerText == "已关注"){
        //取消关注
        var url = Config.baseUrl + 'media/unsubscribeMedia';
        var param = {
            "mediaID": g_articleJSON.mediaID, //自媒体号ID
            "userID":g_userID,//会员ID
            "userIDSign":g_userIDSign //会员ID加密后的秘钥
        };
        axios.post(url, param).then(function (res) {
            if (res && res.data) {
                if (res && res.data && res.data.success) {
                    $("subscribe-btn").innerText = "+关注";
                    $("subscribe-btn").className = "unsubscribe-btn";
                    window.location.href = "mediaSubscribe://";
                    return;
                }
            }
        }).catch(function (error) {
            console.log(error);
        });
    }
    else{
        //关注
        var url = Config.baseUrl + 'media/subscribeMedia';
        var param ={
            "mediaID": g_articleJSON.mediaID, //自媒体号ID
            "userID":g_userID,//会员ID
            "userIDSign":g_userIDSign //会员ID加密后的秘钥
        };
        axios.post(url, param).then(function (res) {
            if (res && res.data && res.data.success) {
                $("subscribe-btn").innerText = "已关注";
                $("subscribe-btn").className = "subscribe-btn";
                window.location.href = "mediaSubscribe://";
            }
        }).catch(function (error) {
            console.log(error);
        });
    }
}
//更新订阅状态
function updateSubscribeStatus(){
    if(!g_userID || !g_userIDSign)  return;
    var url = Config.baseUrl + 'media/isSubscribed?mediaID=' + g_articleJSON.mediaID + "&userID=" + g_userID + "&t=" + new Date().getTime();
    axios.get(url).then(function (res) {
        if (res && res.data && res.data.success && res.data.media && res.data.media.mediaID) {
            $("subscribe-btn").innerText = "已关注";
            $("subscribe-btn").className = "subscribe-btn";
        }
    }).catch(function (error) {
        console.log(error);
    });
}
//页面点击媒体号头像通知APP查看媒体号
function viewMedia(){
    var url =  "viewMedia://" + g_articleJSON.mediaID;
    window.location.href = url;
}
//页面分享调用APP
function share(type){
    var shareUrl = "/media-article.html?id=" + g_articleJSON.articleID;
    var url = "share://" + type + "?url=" + encodeURIComponent(shareUrl) + "&title=" + encodeURIComponent(g_articleJSON.title);
    url += "&img=" + encodeURIComponent(g_articleJSON.titlePic1) + "&description=" + "";
    //alert("app需捕获分享链接:" + url);
    window.location.href = url;
}
//APP登录成功通知页面
function loginSuccess(userInfo){
    var userInfo = JSON.parse(userInfo);
    g_userID = userInfo.userID;
    g_userIDSign = userInfo.userIDSign;
    updateSubscribeStatus();
}
//APP获取页面分享信息
function getShareInfo(){
    var shareUrl = "/media-article.html?id=" + g_articleJSON.articleID;
    var url = "share://more?url=" + encodeURIComponent(shareUrl) + "&title=" + encodeURIComponent(g_articleJSON.title);
    url += "&img=" + encodeURIComponent(g_articleJSON.titlePic1) + "&description=" + "";
    return url;
}
//页面点击回复评论通知APP
function replyComment(parentID, replyName){
    var url = "replyComment://siteID=" + Config.siteId + "&articleID=" + g_articleJSON.articleID +"&parentID=" + parentID;
    url += "&replyUser=" + encodeURIComponent(replyName) ;
    window.location.href = url;
}
//APP回复评论成功回调方法
function commentSuccess(){
}
//APP通知查看最新评论
function viewComment(){
    $("commentBox").scrollIntoView(true);
}
// 设置字体
function setFontName(name) {
    var content = $('content');
    content.style.fontFamily = name;
}

// 设置字体大小
function zoomFont(size) {
    if (size == "sm") {
        $("content").style.fontSize = "0.9rem";
        //$("title").style.fontSize = "1.35rem";
    }
    else if (size == "md") {
        $("content").style.fontSize = "1.1rem";
        //$("title").style.fontSize = "1.55rem";
    }
    else if (size == "lg") {
        $("content").style.fontSize = "1.3rem";
        //$("title").style.fontSize = "1.65rem";
    }
    else if (size == "hg") {
        $("content").style.fontSize = "1.5rem";
        //$("title").style.fontSize = "1.8rem";
    }
    else {
        $("content").style.fontSize = "1.25rem";
        $("title").style.fontSize = "1.55rem";
    }
}

// 获取网页高度
function getHtmlHeight() {
    return document.body.offsetHeight;
}

// 替换正文图片
function replaceContentImage(message) {
    if (message.match("replaceimage")) {
        var index = message.indexOf("~");
        // 截取占位标识
        var messagereplace = message.substring(0, index);
        // 截取到图片路径
        var messagepath = message.substring(index + 1);
        messagereplace = messagereplace.replace(/replaceimage/, "");
        // 保证只替换一次
        var element = $(messagereplace);
        if (element.src.match("loading")) {
            element.src = messagepath;
        }
    }
}

function viewVideo(url) {
    location.href = "video:///url=" + url;
}
//如果正文中出现视频，设置视频宽度为屏幕的95%
function setVideoWidth() {
    var elVideoArr = document.getElementsByTagName("video");
    for (var i = 0; i < elVideoArr.length; i++) {
        elVideoArr[i].style.width = "95%";
    }
}

//更新评论点赞数
function updatePraiseCount(praiseCount) {
    $("praiseCount").innerText = praiseCount + " 赞";
}

//更新阅读数
function updateReadCount(countClick) {
    $("readCount").innerText = countClick + " 阅读";
}

//暂定语音播放
function pauseVoice() {
    $("voiceText").innerText = "语音播报";
}

//语音播报
var voiceStatus = 0;
function startVoice() {
    voiceStatus = !voiceStatus;
    if (voiceStatus == 0) {
        $("voiceImg").src = "../images/voicePlay.png";
        window.location.href = "pausevoice://" + g_articleJSON.fileID;
    } else {
        $("voiceImg").src = "../images/voicePlaying.gif";
        window.location.href = "startvoice://" + g_articleJSON.fileID;
    }
}

//点击稿件阅读
function readArticle(articleID) {
    window.location.href = "openarticle://" + articleID;
}

//文章内容渲染
function artRendering() {
    $("user-face").src = g_articleJSON.mediaFace;
    $("title").innerText = g_articleJSON.title;
    $("source").innerText = g_articleJSON.mediaName;
    var articleTime = g_articleJSON.publishTime ? g_articleJSON.publishTime : "";
    $("timeId").innerText = time2ms(articleTime) + " " + g_articleJSON.shortDescription;
    $("content").innerHTML = g_articleJSON.content;
    setTimeout(function(){
        //重新格式化视频，去掉段首缩进
        var videoContainers = document.getElementsByClassName("app-video-container");
        for(var i in videoContainers){
            var videoContainer = videoContainers[i];
            if(videoContainer && videoContainer.children && videoContainer.children.length > 0){
                var videoTag = videoContainer.children[0];
                if(videoTag && videoTag.tagName.toLowerCase() == "video"){
                    var videoImage = "../images/loading.png";//默认图片
                    if(videoTag.poster)
                        videoImage = videoTag.poster;
                    else if(g_articleJSON.pic1)
                        videoImage = g_articleJSON.pic1;
                    var imageDiv = document.createElement("img");
                    imageDiv.src = videoImage;
                    imageDiv.className = "video-thumb";
                    imageDiv.videoSrc = videoTag.src;
                    imageDiv.onclick = function(){
                        var href = "videoPlay://" + encodeURIComponent(this.videoSrc);
                        window.location.href = href;
                    }
                    videoContainer.removeChild(videoTag);
                    videoContainer.appendChild(imageDiv);
                    var playImage = document.createElement("img");
                    playImage.src = "../images/play.png";
                    playImage.videoSrc = videoTag.src;
                    playImage.className = "video-thumb-play";
                    playImage.onclick = function(){
                        var href = "videoPlay://" + encodeURIComponent(this.videoSrc);
                        window.location.href = href;
                    }
                    videoContainer.appendChild(playImage);
                }
            }
        }
    }, 50);
}

//获取点赞状态
function zanStatus() {
    var localName = 'zanStatus-' + g_articleJSON.articleID;
    var praiseClass = "zan";
    if (localStorage.getItem(localName) == '1') {
        $("clickA").innerHTML = '<i class="icon-big-zan bg-' + praiseClass + '"></i> <span id="zan_num">' + g_articleJSON.praiseCount + '</span>';
    } else {
        if (g_articleJSON.praiseCount == '0' || g_articleJSON.praiseCount == 0) {
            $("clickA").innerHTML = '<i class="icon-big-zan bg-no-' + praiseClass + '"></i></span>';
        } else {
            $("clickA").innerHTML = '<i class="icon-big-zan bg-no-' + praiseClass + '"></i> <span id="zan_num">' + g_articleJSON.praiseCount + '</span>';
        }
    }
}

//点赞
function clickZan() {
    var localName = 'zanStatus-' + g_articleJSON.articleID;
    if (localStorage.getItem(localName) == '1') return;
    var newPraise = parseInt(g_articleJSON.praiseCount) + 1;
    var praiseClass = "zan";
    if(g_articleJSON.articleExt){
        console.log(g_articleJSON.articleExt);
        for(var i in g_articleJSON.articleExt){
            var ext = g_articleJSON.articleExt[i];
            if(ext.code == "bless" && ext.value){
                praiseClass = "bless";
            }
        }
    }
    $("clickA").innerHTML = '<i class="icon-big-zan bg-' + praiseClass + '"></i> <span id="zan_num">' + newPraise + '</span>';
    localStorage.setItem(localName, '1');
    setTimeout(function(){
        var url = Config.baseUrl + 'api/event';
        var param = {
            sid: Config.siteId,
            id: g_articleJSON.articleID, //稿件id
            type: 0,  //稿件
            eventType: 2  // 0 点击，1评论，2点赞，3分享，4 分享点击
        }
        axios.post(url, param).then(function (res) {
            if (res && res.data) {
            }
        }).catch(function (error) {
            console.log(error);
        });
    }, 100);
}

//阅读
function readArticle() {
    //var localName = 'readStatus-' + g_articleJSON.articleID;
    var url = Config.baseUrl + 'media/event';
    var param = {
        articleID: g_articleJSON.articleID, //稿件id
        eventType: 0  // 0 点击，1评论，2点赞，3分享，4 分享点击
    }
    axios.post(url, param).then(function (res) {
        if (res && res.data) {
            //localStorage.setItem(localName, '1');
        }
    }).catch(function (error) {
        console.log(error);
    })
}

//获取最新评论
function getComment( rowNumber, lastCommentID) {
    var commentRows = [];
    var url = Config.baseUrl + 'api/getComments?sid=' + Config.siteId + '&rootID='
        + g_articleJSON.articleID + '&rowNumber=' + rowNumber + "&lastFileID=" + lastCommentID + "&type=2&t=" + new Date().getTime();
    axios.get(url).then(function (res) {
        if (res && res.data) {
            commentRows = res.data.list;
            if (!commentRows) commentRows = [];
            if (commentRows.length > 0 || rowNumber > 0){
                g_lastCommentID = commentRows[commentRows.length-1].commentID;
                $("commentBox").style.display = "block";
            }else{
                $("comment-list").innerHTML = '<p class=\"no-comment\" onclick=\"replyComment(0, \'\')\">还没有人评论，快来评论吧</p>';
            }
            if(commentRows.length < 20){
                $("comment-more").style.display = "none";
            }
            else{
                $("comment-more").style.display = "block";
                g_rowNumber += 1;
            }

            var commentTel = "";
            for (var i = 0; i < commentRows.length; i++) {
                var comment = commentRows[i];
                var faceUrl = comment.faceUrl ? comment.faceUrl : './../images/people.png';
                var userName = comment.userName ? comment.userName : '';
                var createTime = comment.createTime ? comment.createTime.substring(0, 11) : '';
                var content = comment.content ? comment.content : '';
                var parentUserName = comment.parentUserName ? comment.parentUserName : '';
                var parentContent = comment.parentContent ? comment.parentContent : '';
                var commentID = comment.commentID;
                var comment_template = "<div class=\"commentOne\"><div class=\"container\">";
                comment_template += "<div class=\"commentHead\">";
                comment_template += "  <img src=\"{{faceUrl}}\">";
                comment_template += "  <span class=\"commentName\">{{userName}}</span>";
                comment_template += "  <span class=\"commentTime\">{{createTime}}</span>";
                comment_template += "</div>";
                comment_template += "<p class=\"commentCon\" onclick='replyComment({{commentID}},\"{{userName}}\"\)'>{{content}}</p>";
                if(parentContent){
                    comment_template += "<div class=\"parentCommentDiv\">";
                    comment_template += "<p class=\"parentCommentName\">{{parentUserName}}</p>";
                    comment_template += "<p class=\"parentCommentContent\">{{parentContent}}</p>";
                    comment_template += "</div>";
                }
                comment_template += "</div>";
                comment_template += "</div>";
                commentTel += comment_template.replace("{{faceUrl}}", faceUrl).replace(/\{\{userName}}/g, userName)
                    .replace("{{createTime}}", createTime).replace("{{content}}", content).replace("{{parentUserName}}", parentUserName)
                    .replace("{{parentContent}}", parentContent).replace("{{commentID}}", commentID);
            }
            var commentHtml = $("comment-list").innerHTML;
            commentHtml += commentTel;
            $("comment-list").innerHTML = commentHtml;
        }
    }).catch(function (error) {
        console.log(error);
    })
}

//查看更多评论
function viewMoreComment(){
    getComment(g_rowNumber, g_lastCommentID);
}
